package main

import (
	"flag"
	"log"

	"gitea.hashru.nl/dsprenkels/rushlink"
)

func main() {
	var databasePath string

	flag.StringVar(&databasePath, "database", "", "Location of the database file")
	flag.Parse()

	if err := rushlink.Open(databasePath); err != nil {
		log.Fatalln(err)
	}
	defer rushlink.Close()

	go rushlink.StartMetricsServer()
	rushlink.StartMainServer()
}
